# Get Carriers

The operation fetches all supported carriers. This service is used to get list of supported carriers and their properties.

Endpoint: GET /api/v1/carriers
Version: 1.0.0
Security: bearerAuth

## Header parameters:

  - `X-PB-Developer-Partner-Id` (string)
    This is the Developer Partner ID. When the developer is the only partner, this field is not required.

## Response 200 fields (application/json):

  - `carriers` (array)

  - `carriers.carrierID` (string)
    A unique identifier associated with the specific carrier.
    Example: USPS

  - `carriers.name` (string)
    This is the name of the Carrier, a shipping service which is used to carry shipment (e.g., parcels/packages/envelopes) from one place to other.
    Example: United States Postal Service

  - `carriers.originCountry` (string)
    The two-character ISO Code of the source country from this ISO country list.
    Example: US

  - `carriers.properties` (object)

  - `carriers.properties.domesticNotSupported` (boolean)
    Defines if the carrier is domestic supported or not. For Not Supported, will take `true` as a boolean value, else it will take `false`.
    Example: false

  - `carriers.properties.futureShipmentSupported` (boolean)
    Defines if the carrier supports future shipment. If yes, it will take the value `true`, else it will be `false`.
    Example: true

  - `carriers.properties.internationalSupported` (boolean)
    Defines if the carrier is international supported or not. If Yes, it will take `true` as boolean value, else it will take `false`.
    Example: true

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due to HTTP  400- Invalid or Bad Request, e.g., validation-error.
    Example: validation_error

  - `errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: string

  - `additionalCode` (string)
    A unique identifier for the error, for example 1101055, 0100008, or 1021126.

  - `additionalInfo` (string)
    This is an additional information about the error. This error 'Invalid Request' might appear due to invalid dimension, weight, or serviceID, or if the information is missing.

  - `additionalParameters` (array)

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, which indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500 fields (application/json):

  - `message` (string, required)
    This is HTTP 500 Internal Server Error response status code, which indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

